var path = require('path');
var request = require('request');

var server = require('./lib/server');
var constants = require('./lib/constants');

describe('server', function () {
  before(function () {
    server.start({
      directory: path.resolve('.'),
      silent: false,
      port: 3000,
      fakeroot: constants.fakeroot,
      formats: false
    });
  });

  it('moje testowanie', function(done) {
    request
      .get('http://localhost:3000/example')
      .expect('Content-Type', /json/)
      .expect(200) //Status code
      .end(function(err,res) {
        if (err) {
          throw err;
        }
        // Should.js fluent syntax applied
        res.body.should.have.property('_id');
        res.body.firstName.should.equal('JP');
        res.body.lastName.should.equal('Berd');
        res.body.creationDate.should.not.equal(null);
        done();
      });
  });

  after(function () {
    server.closeApp();
  });
});
